Get
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.Hooks.Get(ctx, operations.C1APIHooksV1HooksServiceGetRequest{
ID: "<id>",
})
if err != nil {
log.Fatal(err)
}
if res.HooksServiceGetResponse != nil {
// handle response
}
}import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";
const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
security: {
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
oauth: "<YOUR_OAUTH_HERE>",
},
});
async function run() {
const result = await conductoroneSDKTypescript.hooks.get({
id: "<id>",
});
console.log(result);
}
run();curl --request GET \
--url https://{tenantDomain}.conductor.one/api/v1/hooks/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://{tenantDomain}.conductor.one/api/v1/hooks/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{tenantDomain}.conductor.one/api/v1/hooks/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"hook": {
"builtinPattern": {
"creditCardBlocking": {},
"piiRedaction": {
"redactFields": [
"<string>"
],
"replacement": "<string>"
},
"queryScopeLimit": {
"fields": [
"<string>"
],
"maxLimit": 123
},
"sensitiveFileGuard": {
"blockedDirectories": [
"<string>"
],
"blockedPatterns": [
"<string>"
]
},
"writeAuthorization": {
"blockedClassifications": [],
"businessHours": {
"days": [
123
],
"end": "<string>",
"start": "<string>",
"timezone": "<string>"
}
}
},
"createdAt": "2023-11-07T05:31:56Z",
"description": "<string>",
"displayName": "<string>",
"enabled": true,
"filter": {
"celExpression": "<string>"
},
"function": {
"commitId": "<string>",
"functionId": "<string>"
},
"id": "<string>",
"priority": 123,
"updatedAt": "2023-11-07T05:31:56Z"
}
}Hook
Get
Invokes the c1.api.hooks.v1.HooksService.Get method.
GET
/
api
/
v1
/
hooks
/
{id}
Get
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.Hooks.Get(ctx, operations.C1APIHooksV1HooksServiceGetRequest{
ID: "<id>",
})
if err != nil {
log.Fatal(err)
}
if res.HooksServiceGetResponse != nil {
// handle response
}
}import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";
const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
security: {
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
oauth: "<YOUR_OAUTH_HERE>",
},
});
async function run() {
const result = await conductoroneSDKTypescript.hooks.get({
id: "<id>",
});
console.log(result);
}
run();Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.
Path Parameters
The id field.
Response
200 - application/json
Successful response
The HooksServiceGetResponse message.
Hook represents a customer-configured interception point for tool calls.
This message contains a oneof named hook_type. Only a single field of the following list may be set at a time:
- function
- builtinPattern
Show child attributes
Show child attributes
Was this page helpful?
⌘I